Bug 962447 - RHEVM-CLI: --memory_policy-guaranteed option doesn't exists in 'add vm' autocompletion options, when it passed it is working (should be added to autocompletion options)
RHEVM-CLI: --memory_policy-guaranteed option doesn't exists in 'add vm' autoc...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Ravi Nori
Ilia Meerovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 10:05 EDT by Ilia Meerovich
Modified: 2016-02-10 14:44 EST (History)
8 users (show)

See Also:
Fixed In Version: is2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 14718 None None None Never

  None (edit)
Description Ilia Meerovich 2013-05-13 10:05:46 EDT
sf15:

[RHEVM shell (connected)]# add vm 		

cluster-id                         name
cluster-name                       origin
correlation_id                     os-boot
cpu-cpu_tune-vcpu_pin              os-cmdline
cpu-mode                           os-initRd
cpu-topology-cores                 os-kernel
cpu-topology-sockets               os-type
custom_properties-custom_property  payloads-payload
delete_protected                   placement_policy-affinity
description                        placement_policy-host-id
disks-clone                        placement_policy-host-name
display-allow_override             quota-id
display-keyboard_layout            snapshots-snapshot
display-monitors                   stateless
display-smartcard_enabled          template-id
display-type                       template-name
domain-name                        timezone
expect                             tunnel_migration
high_availability-enabled          type
high_availability-priority         usb-enabled
memory                             usb-type

[RHEVM shell (connected)]# add vm  --cluster-threads_as_cores false --cluster-gluster_service false --cluster-data_center-id '3103721a-5ca1-4cca-9800-dcf9776246b7' --cluster-error_handling-on_error 'migrate' --cluster-id '88381dce-acd1-43db-b5c7-bb4989b2b482' --description 'Test VM' --template-id '00000000-0000-0000-0000-000000000000' --memory_policy-guaranteed 268435456 --name 'restvm_guaranteed_mem' --os-boot "boot.dev=hd" --expect '201-created' --correlation_id 410 > /tmp/cli_output.tmp
[?1h=
send: 'POST /api/vms HTTP/1.1\r\nHost: jenkins-vm-10.scl.lab.tlv.redhat.com\r\nAccept-Encoding: identity\r\nContent-Length: 603\r\nPrefer: persistent-auth\r\nCorrelation-Id: 410\r\nAccept: application/xml\r\nFilter: False\r\ncookie: JSESSIONID=KyezHjG-dvnFEZgZcUnwT1wS\r\nExpect: 201-created\r\nContent-type: application/xml\r\n\r\n'
send: '<vm>\n    <name>restvm_guaranteed_mem</name>\n    <description>Test VM</description>\n    <os>\n        <boot dev="hd"/>\n    </os>\n    <cluster id="88381dce-acd1-43db-b5c7-bb4989b2b482">\n        <data_center id="3103721a-5ca1-4cca-9800-dcf9776246b7"/>\n        <error_handling>\n            <on_error>migrate</on_error>\n        </error_handling>\n        <gluster_service>false</gluster_service>\n        <threads_as_cores>false</threads_as_cores>\n    </cluster>\n    <template id="00000000-0000-0000-0000-000000000000"/>\n    <memory_policy>\n        <guaranteed>268435456</guaranteed>\n    </memory_policy>\n</vm>\n'
reply: 'HTTP/1.1 201 Created\r\n'
header: Date: Mon, 13 May 2013 11:18:25 GMT

header: Location: https://jenkins-vm-10.scl.lab.tlv.redhat.com/api/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca

header: Content-Type: application/xml

header: Content-Length: 3144

header: Vary: Accept-Encoding

header: Connection: close

body:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<vm href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca" id="984e323a-022c-4eda-94d5-18d08b9bb2ca">
    <actions>
        <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/ticket" rel="ticket"/>
        <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/migrate" rel="migrate"/>
        <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/cancelmigration" rel="cancelmigration"/>
        <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/shutdown" rel="shutdown"/>
        <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/start" rel="start"/>
        <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/stop" rel="stop"/>
        <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/suspend" rel="suspend"/>
        <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/detach" rel="detach"/>
        <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/export" rel="export"/>
        <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/move" rel="move"/>
    </actions>
    <name>restvm_guaranteed_mem</name>
    <description>Test VM</description>
    <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/disks" rel="disks"/>
    <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/nics" rel="nics"/>
    <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/cdroms" rel="cdroms"/>
    <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/snapshots" rel="snapshots"/>
    <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/tags" rel="tags"/>
    <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/permissions" rel="permissions"/>
    <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/statistics" rel="statistics"/>
    <link href="/api/vms/984e323a-022c-4eda-94d5-18d08b9bb2ca/reporteddevices" rel="reporteddevices"/>
    <type>desktop</type>
    <status>
        <state>down</state>
    </status>
    <memory>536870912</memory>
    <cpu>
        <topology sockets="1" cores="1"/>
    </cpu>
    <os type="unassigned">
        <boot dev="hd"/>
    </os>
    <high_availability>
        <enabled>false</enabled>
        <priority>0</priority>
    </high_availability>
    <display>
        <type>spice</type>
        <monitors>1</monitors>
        <allow_override>false</allow_override>
        <smartcard_enabled>false</smartcard_enabled>
    </display>
    <cluster href="/api/clusters/88381dce-acd1-43db-b5c7-bb4989b2b482" id="88381dce-acd1-43db-b5c7-bb4989b2b482"/>
    <template href="/api/templates/00000000-0000-0000-0000-000000000000" id="00000000-0000-0000-0000-000000000000"/>
    <creation_time>2013-05-13T14:18:26.070+03:00</creation_time>
    <origin>rhev</origin>
    <stateless>false</stateless>
    <delete_protected>false</delete_protected>
    <placement_policy>
        <affinity>migratable</affinity>
    </placement_policy>
    <memory_policy>
        <guaranteed>268435456</guaranteed>
        <ballooning>true</ballooning>
    </memory_policy>
    <quota id="00000000-0000-0000-0000-000000000000"/>
    <usb>
        <enabled>false</enabled>
    </usb>
</vm>
Comment 1 Ilia Meerovich 2013-07-03 04:08:40 EDT
[root@ilia-rhevm ~]# rpm -q rhevm-cli
rhevm-cli-3.3.0.3-1.el6ev.noarch
[root@ilia-rhevm ~]#  /usr/bin/rhevm-shell -c --url=https://ilia-rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I
Password: 

 ==========================================
 >>> connected to RHEVM manager 3.3.0.0 <<<
 ==========================================


        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    

[RHEVM shell (connected)]# add vm 
cluster-id                         delete_protected                   domain-name                        os-boot                            placement_policy-host-name         type
cluster-name                       description                        expect                             os-cmdline                         quota-id                           usb-enabled
correlation_id                     disks-clone                        high_availability-enabled          os-initRd                          snapshots-snapshot                 usb-type
cpu-cpu_tune-vcpu_pin              display-allow_override             high_availability-priority         os-kernel                          stateless                          
cpu-mode                           display-keyboard_layout            memory                             os-type                            template-id                        
cpu-topology-cores                 display-monitors                   memory_policy-guaranteed           payloads-payload                   template-name                      
cpu-topology-sockets               display-smartcard_enabled          name                               placement_policy-affinity          timezone                           
custom_properties-custom_property  display-type                       origin                             placement_policy-host-id           tunnel_migration                   
[RHEVM shell (connected)]#
Comment 2 Itamar Heim 2014-01-21 17:22:33 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:23:41 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:27:32 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.